
Figure - Bug #118012
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】副屏蓝牙连接中，游戏->接电话->回到游戏页面->挂断电话->调节音量->反弹
2023-05-17 19:51 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-17

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103(X103)

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 优化对于当前蓝牙连接状态的判断逻辑。

Description

【前提条件】：

中控0080

副屏0100

【操作步骤】

1、游戏->接电话->回到游戏页面->挂断电话->调节音量->反弹

【预期结果】

音量可正常调节

【实际结果】

调节音量时调节条反弹

History

#1 - 2023-05-18 17:25 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

该问题和策略有关，还得进一步确认。

具体如下：

当前的进一步测试蓝牙部分，发现有以下场景问题还需要进一步细化和确认；

1.蓝牙连接后，在蓝牙设置里可以选择该蓝牙输出通话声、媒体声，这个会影响蓝牙在audio里连接的判断，

这块设置是否保留或者是否可以干掉。

以下需要确定的现象：

2.蓝牙连接后，可以通话和播放音乐：

1.1.播放音乐时，从蓝牙出，此时应该调节蓝牙音量，不同步给中控；

1.2.VOIP通话时，从蓝牙出，此时应该调节蓝牙音量，不同步给中控；

1.3.播放音乐，从扬声器出，此时调节音量，是否同步中控；

1.4.VOIP通话时，从扬声器出，此时调节音量，是否同步中控。

根据以上的实际场景，需要进一步确定蓝牙连接情况下的策略，麻烦找架构聊一下呢。
#2 - 2023-05-20 15:26 - Multimedia组-RD3_TSCD 梁卿山

Hi all，

这个问题产生的原因是，对于蓝牙连接状态的判断错误，导致挂断时认为蓝牙处于断开状态，中控和副屏的音量联动。

解决方案：优化对于当前蓝牙连接状态的判断逻辑。

#3 - 2023-05-22 15:31 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 优化对于当前蓝牙连接状态的判断逻辑。

HI 永红

该问题已经使用118016的提交修复，请使用5/22后的版本验证。谢谢！

#4 - 2023-05-23 15:43 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103(X103)

5.23

验证通过

#5 - 2023-05-23 15:43 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files

1903.txt 9.33 MB 2023-05-17 CD TEST-方永红

Phone-1A2212290000002271 2023-05-17 19-05-33.mp4 11.6 MB 2023-05-17 CD TEST-方永红
